clang-tools 6.0.0

Classes | Public Member Functions | List of all members
clang::tidy::misc::UnusedParametersCheck::IndexerVisitor Class Reference
Inheritance diagram for clang::tidy::misc::UnusedParametersCheck::IndexerVisitor:
[legend]
Collaboration diagram for clang::tidy::misc::UnusedParametersCheck::IndexerVisitor:
[legend]

## Public Member Functions
| IndexerVisitor (TranslationUnitDecl *Top)
const std::unordered_set< const CallExpr * > & | getFnCalls (const FunctionDecl *Fn)
const std::unordered_set< const DeclRefExpr * > & | getOtherRefs (const FunctionDecl *Fn)
bool | shouldTraversePostOrder () const
bool | WalkUpFromDeclRefExpr (DeclRefExpr *DeclRef)
bool | WalkUpFromCallExpr (CallExpr *Call)

## Detailed Description

Definition at line 73 of file UnusedParametersCheck.cpp.

## Constructor & Destructor Documentation

## ◆ IndexerVisitor()

clang::tidy::misc::UnusedParametersCheck::IndexerVisitor::IndexerVisitor | ( | TranslationUnitDecl * | Top | ) |
| inline

Definition at line 76 of file UnusedParametersCheck.cpp.

## Member Function Documentation

## ◆ getFnCalls()

const std::unordered_set<const CallExpr *>& clang::tidy::misc::UnusedParametersCheck::IndexerVisitor::getFnCalls | ( | const FunctionDecl * | Fn | ) |
| inline

Definition at line 79 of file UnusedParametersCheck.cpp.

## ◆ getOtherRefs()

const std::unordered_set<const DeclRefExpr *>& clang::tidy::misc::UnusedParametersCheck::IndexerVisitor::getOtherRefs | ( | const FunctionDecl * | Fn | ) |
| inline

Definition at line 84 of file UnusedParametersCheck.cpp.

## ◆ shouldTraversePostOrder()

bool clang::tidy::misc::UnusedParametersCheck::IndexerVisitor::shouldTraversePostOrder | ( |  | ) | const
| inline

Definition at line 88 of file UnusedParametersCheck.cpp.

## ◆ WalkUpFromCallExpr()

bool clang::tidy::misc::UnusedParametersCheck::IndexerVisitor::WalkUpFromCallExpr | ( | CallExpr * | Call | ) |
| inline

Definition at line 98 of file UnusedParametersCheck.cpp.

## ◆ WalkUpFromDeclRefExpr()

bool clang::tidy::misc::UnusedParametersCheck::IndexerVisitor::WalkUpFromDeclRefExpr | ( | DeclRefExpr * | DeclRef | ) |
| inline

Definition at line 90 of file UnusedParametersCheck.cpp.

The documentation for this class was generated from the following file:

- UnusedParametersCheck.cpp